SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

ALTER  TRIGGER tr_log_order ON [dbo].[Orders] 
FOR INSERT, UPDATE 
AS
declare @orderid int
	--feltesszuk, hogy egyszerre csak 1 rekord valtozik
	--ha nem, akkor egy kurzorral kellene vegigmenni a valtozott rekordokon
declare @esem_tipus nvarchar(50)
set @esem_tipus=''

select @orderid=orderid from inserted

if update(orderid) begin --ha az orderid valtozott, akkor ez egy uj rekord INSERT
	set @esem_tipus='j rendels'
	RAISERROR ('figyelmeztets: j rendels', 16, 10)
		--a 18 alatti severity (16) csak figyelmeztets, a kliens
		--eldntheti, mit csinl vele
		--a valsgban azrt ellenrizend, nem okoz-e gondot 
		--a kereskedelmi rendszerben
end else if update(shipaddress) or update(shipcity) begin  
			--shipaddress vagy shipcity vltozott
	set @esem_tipus='cmvltozs'
	RAISERROR ('figyelmeztets: cmvltozs', 16, 10)
end else begin  
			--egyb vltozs
	set @esem_tipus='mdosult rendels'
	RAISERROR ('figyelmeztets: mdosult rendels', 16, 10)
end 
if @esem_tipus<>''
	insert order_log (event_type, order_id, status) 
		values(@esem_tipus, @orderid, 0) --time_create automatikusan kitltdik







GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

