﻿/* ez volt:
CREATE TABLE "Orders" (
	"OrderID" "int" IDENTITY (1, 1) NOT NULL ,
	"CustomerID" nchar (5) NULL ,
	"EmployeeID" "int" NULL ,
	"OrderDate" "datetime" NULL ,
	"RequiredDate" "datetime" NULL ,
	"ShippedDate" "datetime" NULL ,
	"ShipVia" "int" NULL ,
	"Freight" "money" NULL CONSTRAINT "DF_Orders_Freight" DEFAULT (0),
	"ShipName" nvarchar (40) NULL ,
	"ShipAddress" nvarchar (60) NULL ,
	"ShipCity" nvarchar (15) NULL ,
	"ShipRegion" nvarchar (15) NULL ,
	"ShipPostalCode" nvarchar (10) NULL ,
	"ShipCountry" nvarchar (15) NULL ,
	CONSTRAINT "PK_Orders" PRIMARY KEY  CLUSTERED 
	(
		"OrderID"
	)
) 


ez lett:  */

drop table northwind.orders;

CREATE TABLE northwind.orders (
	OrderID integer NOT NULL , --identity helyett sequence lett volna
	CustomerID character(5) NULL,
	EmployeeID integer NULL ,
	OrderDate date NULL ,
	RequiredDate date NULL ,
	ShippedDate date NULL ,
	ShipVia integer NULL default(0),
	Freight numeric NULL, --money nem ment
	ShipName varchar (40) NULL ,
	ShipAddress varchar (60) NULL ,
	ShipCity varchar (15) NULL ,
	ShipRegion varchar (15) NULL ,
	ShipPostalCode varchar (10) NULL ,
	ShipCountry varchar (15) NULL ,
	CONSTRAINT PK_Orders PRIMARY KEY   
	(
		OrderID
	)
)