﻿CREATE TYPE northwind.event_type AS ENUM (
	'új rendelés','új tétel', 'címváltozás', 'módosult tétel', 'módosult rendelés');


--select now()::timestamp;
--select extract( second from age('2010-02-12 17:31:21', '2010-02-12 17:31:10'))::integer;

DROP TABLE northwind.order_log;

CREATE TABLE northwind.order_log
(
  event_id serial NOT NULL,
  event_type northwind.event_type NOT NULL,
  order_id integer NOT NULL,
  orderitem_id integer,
  status integer NOT NULL DEFAULT 0,
  time_created timestamp without time zone DEFAULT now()::timestamp,
  time_process_begin timestamp without time zone,
  time_process_end timestamp without time zone,
  process_duration integer,
	--DEFAULT extract(second from age(time_process_end, time_process_begin))::integer,
	--nem megy, mert "ERROR:  cannot use column references in default expression"
  CONSTRAINT pk_order PRIMARY KEY (event_id)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE northwind.order_log OWNER TO postgres;
